import numpy as np
import matplotlib.pyplot as plt

# Conditions initiales
p_H = 0

p_K = input('Quelle est la valeur du pKA ?')
p_K = float(p_K)
p_H = np.arange(0, 14, 0.01)

a_A = 10**(-p_H)/(10**(-p_H)+10**(-p_K))
a_B = 10**(-p_K)/(10**(-p_H)+10**(-p_K))

plt.xlabel("pH de la solution")
plt.ylabel("degré de dissociation")
plt.title("Diagramme de distribution")
plt.grid()
plt.plot(p_H, a_A, color = 'red', label="Degré de dissociation de l’acide")
plt.plot(p_H, a_B, color = 'blue', label="Degré de dissociation de la base")
plt.show()
